Bug 193928 - lockup during xen0 boot
Summary: lockup during xen0 boot
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5
Hardware: other Linux
medium
high
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-02 23:43 UTC by Kirk Franks
Modified: 2009-12-14 20:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:10:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kirk Franks 2006-06-02 23:43:47 UTC
Description of problem:

During the booting of xen0, the kernel locks up with no apparent error message.

Version-Release number of selected component (if applicable):

xen.gz-2.6.16-1.2122_FC5

How reproducible:

very

Steps to Reproduce:
1. install zen
2. reboot
3.
  
Actual results:

lockup, this is seen on terminal server:

PCI: Bridge: 000:06:01.0
  IO window: disabled
  MEM window: disabled
  PREFETCH window: disabled
PCI: Bridgew: 0000:06:02.0
  IO window: disabled
  MEM window: disabled
  PREFETCH window: disabled
IA-32 Microcode Update Driver: v1.14-xen <tigran@veritas.com>
audit: initializing netlink socket (disabled)
audit(1149271190:1): initialized
highmem bounce pool size: 64 pages
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux: Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 43645308A4C9E5AD
- User ID: Red Hat, Inc. (Kernel Module GPC key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfg registered (default)

Expected results:

system booted into xen

Additional info:

This is a Penguin Computing Altus 1300, an AMD64 2-processor system with 16GB
RAM & 2x120GB HD configured with FC5 and updated. I'm using this at Cisco for
server consolidation.

I changed grub.conf to run level 3, after seeing graphics boot hang.

I tried the console_sync trick, it didn't work. It consistently freezes at the
same point (see console messages above).

Thanks,
-Kirk Franks
 Cisco Systems
  kifranks@cisco.com

Comment 1 Stephen Tweedie 2007-03-16 15:09:34 UTC
Is this still reproducible on the latest stable release+updates?  Thanks.


Comment 2 Kirk Franks 2007-03-16 15:29:30 UTC
I've moved on to FC6 and don't see the problem. However there was a different
installation problem we found; we can't install FC6 on a machine with over 4GB
of RAM. I've switched to a smaller (RAM) machine and have been able to continue.
Has anyone else seen this? Is there a workaround?

Thanks,
-Kirk

Comment 3 Stephen Tweedie 2007-03-16 15:37:30 UTC
Do you mean you can't install FC-6 at all, even using the non-xen kernel?

Comment 4 Red Hat Bugzilla 2007-07-25 01:31:48 UTC
change QA contact

Comment 5 Chris Lalancette 2008-02-26 23:10:03 UTC
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.